RegionOnMember (Apache Geode 1.7.0)
Date: 2018-09-27

org.apache.geode.tools.pulse.tests

## Class RegionOnMember

- java.lang.Object
- - org.apache.geode.tools.pulse.tests.JMXBaseBean
  - - org.apache.geode.tools.pulse.tests.RegionOnMember

- All Implemented Interfaces:
    RegionOnMemberMBean

      public class RegionOnMember
      extends JMXBaseBean
      implements RegionOnMemberMBean

  Region on member mbean

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegionOnMember(java.lang.String fullPath, java.lang.String member)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDiskReadsRate()`
    `double` | `getDiskWritesRate()`
    `long` | `getEntryCount()`
    `long` | `getEntrySize()`
    `java.lang.String` | `getFullPath()`
    `double` | `getGetsRate()`
    `protected java.lang.String` | `getKey(java.lang.String propName)`
    `int` | `getLocalMaxMemory()`
    `java.lang.String` | `getMember()`
    `java.lang.String` | `getName()`
    `double` | `getPutsRate()`
    `java.lang.String` | `getRegionType()`

    - ### Methods inherited from class org.apache.geode.tools.pulse.tests.JMXBaseBean

      `getBoolean, getDouble, getFloat, getInt, getLong, getLongArray, getString, getStringArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RegionOnMember

          public RegionOnMember(java.lang.String fullPath,
                                java.lang.String member)

  - ### Method Detail

    - #### getKey

          protected java.lang.String getKey(java.lang.String propName)

      Specified by:
        `getKey` in class `JMXBaseBean`

    - #### getFullPath

          public java.lang.String getFullPath()

      Specified by:
        `getFullPath` in interface `RegionOnMemberMBean`

    - #### getMember

          public java.lang.String getMember()

      Specified by:
        `getMember` in interface `RegionOnMemberMBean`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `RegionOnMemberMBean`

    - #### getRegionType

          public java.lang.String getRegionType()

      Specified by:
        `getRegionType` in interface `RegionOnMemberMBean`

    - #### getEntrySize

          public long getEntrySize()

      Specified by:
        `getEntrySize` in interface `RegionOnMemberMBean`

    - #### getEntryCount

          public long getEntryCount()

      Specified by:
        `getEntryCount` in interface `RegionOnMemberMBean`

    - #### getGetsRate

          public double getGetsRate()

      Specified by:
        `getGetsRate` in interface `RegionOnMemberMBean`

    - #### getPutsRate

          public double getPutsRate()

      Specified by:
        `getPutsRate` in interface `RegionOnMemberMBean`

    - #### getDiskReadsRate

          public double getDiskReadsRate()

      Specified by:
        `getDiskReadsRate` in interface `RegionOnMemberMBean`

    - #### getDiskWritesRate

          public double getDiskWritesRate()

      Specified by:
        `getDiskWritesRate` in interface `RegionOnMemberMBean`

    - #### getLocalMaxMemory

          public int getLocalMaxMemory()

      Specified by:
        `getLocalMaxMemory` in interface `RegionOnMemberMBean`